*{

margin:0;
padding:0;
box-sizing:border-box;
font-family:Arial;

}


body{

background:#fff8f5;

}

html {
  scroll-padding-top: 50px; /* Beri sedikit jarak ekstra agar posisi scroll pas */
}

header{
	position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;

background:#532700;

padding:20px 50px;

display:flex;

justify-content:space-between;

color:white;



}



.logo{

font-size:25px;

font-weight:bold;
   display: block;
   

}


nav a{

color:white;

margin-left:20px;

text-decoration:none;

}




/* HERO */


.hero{

height:450px;

background-size: cover;
background-position: center;
animation: gantiGambar 15s infinite ease-in-out;
display:flex;
justify-content:center;
align-items:center;
text-align:center;

}
@keyframes gantiGambar {
  0% {
    background-image: url('../images/back2.png');
  }
  33% {
    background-image: url('../images/back3.png');
  }
  66% {
    background-image: url('../images/back.png');
  }
  100% {
    background-image: url('../images/back6.png');
  }
}


.hero h1{

font-size:45px;

}


.hero p{

margin-top:15px;

font-size:18px;

}


button{


background:#25D366;

border:none;

color:white;

padding:12px 25px;

border-radius:25px;

cursor:pointer;

margin-top:20px;


}


button:hover{

background:#128C7E;

}





/* PRODUK */


.produk,
.keranjang,
.tentang{
background:#fef6e9;
padding:50px;

text-align:center;

}



.produk-list{

display:flex;

justify-content:center;

gap:30px;

flex-wrap:wrap;

margin-top:30px;

}



.card{

background:white;

padding:20px;

width:270px;

border-radius:15px;

box-shadow:0 5px 15px #ddd;

}



.card img{

width:100%;

height:200px;

object-fit:cover;

border-radius:10px;

}





/* KERANJANG */


.item{

background:white;

margin:15px auto;

max-width:700px;

padding:15px;

display:flex;

align-items:center;

justify-content:space-between;

border-radius:15px;

}



.item img{

width:80px;

height:80px;

object-fit:cover;

border-radius:10px;

}



.qty button{

padding:5px 12px;

}



.form{

max-width:500px;

margin:30px auto;

}



.form input,
.form textarea{


width:100%;

padding:12px;

margin:8px;

border-radius:10px;

border:1px solid #ddd;

}



.form textarea{

height:90px;

}



.hapus{

background:#e74c3c;

}





/* TENTANG */


.tentang{

padding:50px;

text-align:center;

background:#532700;
color:white;

}


.tentang p{

max-width:700px;

margin:auto;

line-height:1.8;

}






/* KEUNGGULAN */


.keunggulan{

padding:50px;

text-align:center;

}



.fitur{

display:flex;

justify-content:center;

gap:30px;

margin-top:30px;

}


.fitur div{

background:white;

padding:25px;

width:220px;

border-radius:15px;

}





footer{

background:#532700;

color:white;

padding:40px;

}



.footer-container{

display:grid;

grid-template-columns:repeat(4,1fr);

gap:30px;

}


footer a{

color:white;

text-decoration:none;

}


.copyright{

text-align:center;

margin-top:30px;

padding-top:20px;

border-top:1px solid #777;

}





@media(max-width:768px){

.hero{

flex-direction:column;

height:auto;

padding:40px;

}



.hero-text{

width:100%;

text-align:center;

}


}